## org.eclipse.datatools.enablement.hsqldb.catalog
Class HSQLDBSchemaLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCSchemaLoader
              org.eclipse.datatools.enablement.hsqldb.catalog.HSQLDBSchemaLoader

    public class HSQLDBSchemaLoader

extends JDBCSchemaLoader

Author:
  brianf

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCSchemaLoader
`COLUMN_TABLE_CATALOG, COLUMN_TABLE_SCHEM`

Constructor Summary
`HSQLDBSchemaLoader()`
`HSQLDBSchemaLoader(ICatalogObject catalogObject)`
`HSQLDBSchemaLoader(ICatalogObject catalogObject, IConnectionFilterProvider connectionFilterProvider)`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCSchemaLoader
`clearSchemas, loadSchemas, loadSchemas`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSQLDBSchemaLoader

    public HSQLDBSchemaLoader()

### HSQLDBSchemaLoader

    public HSQLDBSchemaLoader(ICatalogObject catalogObject)

Parameters:
  `catalogObject` -

### HSQLDBSchemaLoader

    public HSQLDBSchemaLoader(ICatalogObject catalogObject,
                              IConnectionFilterProvider connectionFilterProvider)

Parameters:
  `catalogObject` -
  `connectionFilterProvider` -